Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.dataFilter
Class RowAbsentFilter

    java.lang.Object
      baseCode.dataFilter.AbstractFilter
          baseCode.dataFilter.RowAbsentFilter

All Implemented Interfaces:
  Filter

public class RowAbsentFilter
extends AbstractFilter
implements Filter

Filter a data matrix according to flags given in a separate matrix.

The flags can be 'A', 'P' or 'M', for absent, present and marginal, following the Affymetrix convention. By default, Marginal flags are counted as "absent", but this can be changed by the user.

Copyright (c) 2004

Institution:: Columbia University

Version:
  $Id: RowAbsentFilter.java,v 1.5 2004/07/27 03:18:58 pavlidis Exp $
Author:
  Paul Pavlidis

Field Summary

Fields inherited from class baseCode.dataFilter.AbstractFilter
`log`

Constructor Summary
`RowAbsentFilter()`

Method Summary
`NamedMatrix` | `filter(NamedMatrix data)` The data is going to be filtered in accordance to strings in 'flags'.
`void` | `setFlagMatrix(StringMatrix2DNamed f)`
`void` | `setKeepMarginal(boolean k)`
`void` | `setMinPresentCount(int k)`
`void` | `setMinPresentFraction(double k)`

Methods inherited from class baseCode.dataFilter.AbstractFilter
`getOutputMatrix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowAbsentFilter

    public RowAbsentFilter()

Method Detail

### setFlagMatrix

    public void setFlagMatrix(StringMatrix2DNamed f)

  Parameters:
    `f` - the matrix containing the flags.

### setMinPresentFraction

    public void setMinPresentFraction(double k)

  Parameters:
    `k` - the minimum fraction of present values that there must be, in order to keep the row.

### setMinPresentCount

    public void setMinPresentCount(int k)

  Parameters:
    `k` - the minimum number of present values there must be in order to keep the row.

### setKeepMarginal

    public void setKeepMarginal(boolean k)

  Parameters:
    `k` - whether to count 'marginal' as 'present'. Default is false.

### filter

    public NamedMatrix filter(NamedMatrix data)

  The data is going to be filtered in accordance to strings in 'flags'. These are either 'A', 'P' or 'M' for absent, present and marginal.

  Specified by:
    `filter` in interface `Filter`
  Parameters:
    `data` - The input matrix
  Returns:
    Matrix after filtering.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.